/// <reference name="MicrosoftAjax.js" />
MyComponent = function() {
    MyComponent.initializeBase(this, null);
}
MyComponent.prototype = {
    initialize: function() {
        Sys.Debug.trace(String.format("Component: {0} initialized", this.get_id()));
        MyComponent.callBaseMethod(this, 'initialize');
    },
    dispose: function() {
        Sys.Debug.trace(String.format("Component: {0} disposed", this.get_id()));
        MyComponent.callBaseMethod(this, 'dispose');
    }
}
MyComponent.registerClass("MyComponent", Sys.Component);